POST /v1/organizations/{orgId}/wallets/{walletId}/withdraw
Withdraw tokens from an organization wallet via Turnkey signing
POST
/v1/organizations/{orgId}/wallets/{walletId}/withdraw
Withdraw tokens from an organization wallet via Turnkey signing
Path Parameters
orgId
string
required
path
Organization ID
walletId
string
required
path
Wallet ID
Request Body required
Withdraw parameters
application/jsonOne of:
Option 1
Option 2
amount
string
REQUIRED
chainId
integer
REQUIRED
recipientAddress
string
REQUIRED
tokenAddress
string
REQUIRED
Responses
200
OK
application/jsonblockNumber
integer
transactionHash
string
400
Bad Request
401
Unauthorized
404
Not Found
502
Bad Gateway
curl -X POST 'https://api.example.com/v1/organizations/string/wallets/string/withdraw' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/wallets/string/withdraw', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/organizations/string/wallets/string/withdraw', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/organizations/string/wallets/string/withdraw", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "blockNumber": 123, "transactionHash": "<string>"}
API Playground
Try this endpoint
POST
/v1/organizations/{orgId}/wallets/{walletId}/withdraw
